Servers - Bug #4

Have a database backup policy
2012-02-15 07:47 PM - mtjm

Status: open % Done: 0%
Priority: critical

Assignee:

Category:

Description

It's a generally good thing to have and might encourage contributors to use the trackers, not fearing that their changes will be lost.

History

#2 - 2012-02-15 08:53 PM - fauno

Michat Mastowski wrote:

It's a generally good thing to have and might encourage contributors to use the trackers, not fearing that their changes will be lost.

Random ideas:

® Have a postgresql slave somewhere else replicating info (connect them via VPN)
e Periodically dump databases to .sql files and commit them on a git project

#3 - 2014-10-03 11:37 AM - mtjm

- Priority changed from bug to critical

+1 for "Periodically dump databases to .sql files and commit them on a git project" (private, not published one).

We also need to backup all git repos (including /etc) and some more data (to be put in another git repo?), we should backup them by fetching to other
repos, not copying the files.
